# streamWrapper::stream_metadata

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

streamWrapper::stream_metadata — Change stream metadata

### 说明

public streamWrapper::stream_metadata(string `$path`, int `$option`, mixed `$value`): bool

This method is called to set metadata on the stream. It is called when one of the following functions is called on a stream URL:

- touch()
- chmod()
- chown()
- chgrp()

Please note that some of these operations may not be available on your system.

### 参数

`path`

  The file path or URL to set metadata. Note that in the case of a URL, it must be a :// delimited URL. Other URL forms are not supported.

`option`

  One of:

  - `STREAM_META_TOUCH` (The method was called in response to touch())
  - `STREAM_META_OWNER_NAME` (The method was called in response to chown() with string parameter)
  - `STREAM_META_OWNER` (The method was called in response to chown())
  - `STREAM_META_GROUP_NAME` (The method was called in response to chgrp())
  - `STREAM_META_GROUP` (The method was called in response to chgrp())
  - `STREAM_META_ACCESS` (The method was called in response to chmod())
`value`

  If `option` is

  - `STREAM_META_TOUCH`: Array consisting of two arguments of the touch() function.
  - `STREAM_META_OWNER_NAME` or `STREAM_META_GROUP_NAME`: The name of the owner user/group as string.
  - `STREAM_META_OWNER` or `STREAM_META_GROUP`: The value owner user/group argument as int.
  - `STREAM_META_ACCESS`: The argument of the chmod() as int.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。 If `option` is not implemented, `false` should be returned.

### 参见

- touch() - 设定文件的访问和修改时间
- chmod() - 改变文件模式
- chown() - 改变文件的所有者
- chgrp() - 改变文件所属的组

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open